Open Lighting Architecture: ola::web::ArrayValidator Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
ola::web::ArrayValidator Class Reference
JSON

## Detailed Description

The validator for JsonArray.

Inheritance diagram for ola::web::ArrayValidator:

## Classes
class | Items
class | AdditionalItems
struct | Options

## Public Member Functions
| ArrayValidator (Items *items, AdditionalItems *additional_items, const Options &options)
| Validate all elements of the array against the given schema.
void | Visit (const JsonArray &array)
Public Member Functions inherited from ola::web::BaseValidator
virtual bool | IsValid () const
| Check if the value was valid according to this validator.
virtual void | Visit (const JsonString &)
virtual void | Visit (const JsonBool &)
virtual void | Visit (const JsonNull &)
virtual void | Visit (const JsonRawValue &)
virtual void | Visit (const JsonObject &)
virtual void | Visit (const JsonUInt &)
virtual void | Visit (const JsonUInt64 &)
virtual void | Visit (const JsonInt &)
virtual void | Visit (const JsonInt64 &)
virtual void | Visit (const JsonDouble &)
virtual JsonObject * | GetSchema () const
| Returns the Schema as a JsonObject.
void | SetSchema (const std::string &schema)
| Set the schema.
void | SetId (const std::string &id)
| Set the id.
void | SetTitle (const std::string &title)
| Set the title.
void | SetDescription (const std::string &title)
| Set the description.
void | SetDefaultValue (const JsonValue *value)
| Set the default value for this validator.
const JsonValue * | GetDefaultValue () const
| Return the default value.
void | AddEnumValue (const JsonValue *value)
| Add a enum value to the list of allowed values.

## Additional Inherited Members
Public Types inherited from ola::web::ValidatorInterface
typedef std::vector< ValidatorInterface * > | ValidatorList
| a list of Validators.
Protected Member Functions inherited from ola::web::BaseValidator
| BaseValidator (JsonType type)
bool | CheckEnums (const JsonValue &value)
Protected Attributes inherited from ola::web::BaseValidator
bool | m_is_valid
JsonType | m_type
std::string | m_schema
std::string | m_id
std::string | m_title
std::string | m_description
std::auto_ptr< const JsonValue > | m_default_value
std::vector< const JsonValue * > | m_enums

## Constructor & Destructor Documentation

## ◆ ArrayValidator()

ola::web::ArrayValidator::ArrayValidator | ( | Items * | items,
|  | AdditionalItems * | additional_items,
|  | const Options & | options )

Validate all elements of the array against the given schema.

Parameters

  items | The items in the array, ownership is transferred.
  additional_items | Any additional (optional) items. ownership is transferred.
  options | Extra constraints on the Array.

## Member Function Documentation

## ◆ Visit()

void ola::web::ArrayValidator::Visit | ( | const JsonArray & | array | ) |
| virtual

Reimplemented from ola::web::BaseValidator.

The documentation for this class was generated from the following files:

- include/ola/web/JsonSchema.h
- common/web/JsonSchema.cpp